<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.servlets.Variables" %>
<%@ page import = "com.silverwrist.venice.servlets.format.*" %>
<%
  AdminUserPhotoData data = AdminUserPhotoData.retrieve(request);
  Variables.failIfNull(data);
  RenderData rdat = RenderConfig.createRenderData(application,request,response);
%>
<% rdat.writeContentHeader(out,"Change User Photo","User: " + data.getUserName()); %>

<FORM METHOD="POST" ENCTYPE="multipart/form-data" ACTION="<%= rdat.getEncodedServletPath("adminuserphoto") %>">
  <DIV CLASS="content"><%= rdat.getStdFontTag(ColorSelectors.CONTENT_FOREGROUND,2) %>
    <INPUT TYPE=HIDDEN NAME="uid" VALUE="<%= data.getUID() %>">
    <%= data.getPhotoTag(rdat) %>
    New user photo:<BR>
    <INPUT TYPE="FILE" NAME="thepic"><P>
    <INPUT TYPE=IMAGE SRC="<%= rdat.getFullImagePath("bn_upload.gif") %>" NAME="upload" ALT="Upload"
     WIDTH=80 HEIGHT=24 BORDER=0>&nbsp;
    <INPUT TYPE=IMAGE SRC="<%= rdat.getFullImagePath("bn_cancel.gif") %>" NAME="cancel" ALT="Cancel"
     WIDTH=80 HEIGHT=24 BORDER=0><BR CLEAR=LEFT><P>
    <B><A HREF="<%= rdat.getEncodedServletPath("adminuserphoto?null=true&uid=" + data.getUID()) %>">Click
    here to clear user's photo</A></B>
  </FONT></DIV>
</FORM>
